/[gentoo-x86]/app-office/libreoffice/libreoffice-4.1.3.2.ebuild
Gentoo

Contents of /app-office/libreoffice/libreoffice-4.1.3.2.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.2 - (hide annotations) (download)
Fri Nov 15 10:14:43 2013 UTC (4 years, 7 months ago) by scarabeus
Branch: MAIN
Changes since 1.1: +2 -2 lines
Resort mwaw deps to require proper versions.

(Portage version: 2.2.7/cvs/Linux x86_64, signed Manifest commit with key 8EEE3BE8)

1 scarabeus 1.1 # Copyright 1999-2013 Gentoo Foundation
2     # Distributed under the terms of the GNU General Public License v2
3 scarabeus 1.2 # $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-4.1.3.2.ebuild,v 1.1 2013/10/31 15:46:03 scarabeus Exp $
4 scarabeus 1.1
5     EAPI=5
6    
7     KDE_REQUIRED="optional"
8     QT_MINIMAL="4.7.4"
9     KDE_SCM="git"
10     CMAKE_REQUIRED="never"
11    
12     PYTHON_COMPAT=( python2_7 python3_3 )
13     PYTHON_REQ_USE="threads,xml"
14    
15     # experimental ; release ; old
16     # Usually the tarballs are moved a lot so this should make
17     # everyone happy.
18     DEV_URI="
19     http://dev-builds.libreoffice.org/pre-releases/src
20     http://download.documentfoundation.org/libreoffice/src/${PV:0:5}/
21     http://download.documentfoundation.org/libreoffice/old/${PV}/
22     "
23     EXT_URI="http://ooo.itc.hu/oxygenoffice/download/libreoffice"
24     ADDONS_URI="http://dev-www.libreoffice.org/src/"
25    
26     BRANDING="${PN}-branding-gentoo-0.8.tar.xz"
27     # PATCHSET="${P}-patchset-01.tar.xz"
28    
29     [[ ${PV} == *9999* ]] && SCM_ECLASS="git-2"
30     inherit base autotools bash-completion-r1 check-reqs eutils java-pkg-opt-2 kde4-base pax-utils python-single-r1 multilib toolchain-funcs flag-o-matic nsplugins ${SCM_ECLASS}
31     unset SCM_ECLASS
32    
33     DESCRIPTION="LibreOffice, a full office productivity suite."
34     HOMEPAGE="http://www.libreoffice.org"
35     SRC_URI="branding? ( http://dev.gentoo.org/~dilfridge/distfiles/${BRANDING} )"
36     [[ -n ${PATCHSET} ]] && SRC_URI+=" http://dev.gentooexperimental.org/~scarabeus/${PATCHSET}"
37    
38     # Split modules following git/tarballs
39     # Core MUST be first!
40     # Help is used for the image generator
41     MODULES="core help"
42     # Only release has the tarballs
43     if [[ ${PV} != *9999* ]]; then
44     for i in ${DEV_URI}; do
45     for mod in ${MODULES}; do
46     if [[ ${mod} == core ]]; then
47     SRC_URI+=" ${i}/${P}.tar.xz"
48     else
49     SRC_URI+=" ${i}/${PN}-${mod}-${PV}.tar.xz"
50     fi
51     done
52     unset mod
53     done
54     unset i
55     fi
56     unset DEV_URI
57    
58     # Really required addons
59     # These are bundles that can't be removed for now due to huge patchsets.
60     # If you want them gone, patches are welcome.
61     ADDONS_SRC+=" ${ADDONS_URI}/ea91f2fb4212a21d708aced277e6e85a-vigra1.4.0.tar.gz"
62     ADDONS_SRC+=" ${ADDONS_URI}/1f24ab1d39f4a51faf22244c94a6203f-xmlsec1-1.2.14.tar.gz" # modifies source code
63     ADDONS_SRC+=" java? ( ${ADDONS_URI}/17410483b5b5f267aa18b7e00b65e6e0-hsqldb_1_8_0.zip )"
64     ADDONS_SRC+=" libreoffice_extensions_wiki-publisher? ( ${ADDONS_URI}/a7983f859eafb2677d7ff386a023bc40-xsltml_2.1.2.zip )" # no release for 8 years, should we package it?
65     ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/798b2ffdc8bcfe7bca2cf92b62caf685-rhino1_5R5.zip )" # Does not build with 1.6 rhino at all
66     ADDONS_SRC+=" libreoffice_extensions_scripting-javascript? ( ${ADDONS_URI}/35c94d2df8893241173de1d16b6034c0-swingExSrc.zip )" # requirement of rhino
67     ADDONS_SRC+=" odk? ( http://download.go-oo.org/extern/185d60944ea767075d27247c3162b3bc-unowinreg.dll )" # not packageable
68     SRC_URI+=" ${ADDONS_SRC}"
69    
70     unset ADDONS_URI
71     unset EXT_URI
72     unset ADDONS_SRC
73    
74     IUSE="bluetooth +branding +cups dbus debug eds gnome gstreamer +gtk
75     gtk3 jemalloc kde mysql odk opengl postgres telepathy test +vba +webdav"
76    
77     LO_EXTS="nlpsolver presenter-minimizer scripting-beanshell scripting-javascript wiki-publisher"
78     # Unpackaged separate extensions:
79     # diagram: lo has 0.9.5 upstream is weirdly patched 0.9.4 -> wtf?
80     # hunart: only on ooo extensions -> fubared download path somewhere on sf
81     # numbertext, typo, validator, watch-window: ^^
82     # oooblogger: no homepage or anything
83     # Extensions that need extra work:
84     for lo_xt in ${LO_EXTS}; do
85     IUSE+=" libreoffice_extensions_${lo_xt}"
86     done
87     unset lo_xt
88    
89     LICENSE="|| ( LGPL-3 MPL-1.1 )"
90     SLOT="0"
91     [[ ${PV} == *9999* ]] || \
92     KEYWORDS="~amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
93    
94     COMMON_DEPEND="
95     ${PYTHON_DEPS}
96     app-arch/zip
97     app-arch/unzip
98     >=app-text/hunspell-1.3.2-r3
99     app-text/mythes
100     >=app-text/libexttextcat-3.2
101     app-text/liblangtag
102     app-text/libmspub
103 scarabeus 1.2 <app-text/libmwaw-0.2.0
104 scarabeus 1.1 app-text/libodfgen
105     app-text/libwpd:0.9[tools]
106     app-text/libwpg:0.2
107     >=app-text/libwps-0.2.2
108     >=app-text/poppler-0.16:=[xpdf-headers(+),cxx]
109     >=dev-cpp/clucene-2.3.3.4-r2
110     >=dev-cpp/libcmis-0.3.1:0.3
111     dev-db/unixODBC
112     >=dev-libs/boost-1.46:=
113     dev-libs/expat
114     >=dev-libs/hyphen-2.7.1
115     >=dev-libs/icu-4.8.1.1:=
116     >=dev-libs/liborcus-0.5.1:=
117     >=dev-libs/nspr-4.8.8
118     >=dev-libs/nss-3.12.9
119     >=dev-lang/perl-5.0
120     >=dev-libs/openssl-1.0.0d
121     >=dev-libs/redland-1.0.16[ssl]
122     media-gfx/graphite2
123     >=media-libs/fontconfig-2.8.0
124     media-libs/freetype:2
125     >=media-libs/harfbuzz-0.9.10:=[icu(+)]
126     media-libs/lcms:2
127     >=media-libs/libpng-1.4
128     >=media-libs/libcdr-0.0.5
129     media-libs/libvisio
130     >=net-misc/curl-7.21.4
131     net-nds/openldap
132     sci-mathematics/lpsolve
133     virtual/jpeg:0
134     >=x11-libs/cairo-1.10.0[X]
135     x11-libs/libXinerama
136     x11-libs/libXrandr
137     x11-libs/libXrender
138     bluetooth? ( net-wireless/bluez )
139     cups? ( net-print/cups )
140     dbus? ( >=dev-libs/dbus-glib-0.92 )
141     eds? ( gnome-extra/evolution-data-server )
142     gnome? ( gnome-base/gconf:2 )
143     gtk? (
144     x11-libs/gdk-pixbuf[X]
145     >=x11-libs/gtk+-2.24:2
146     )
147     gtk3? ( >=x11-libs/gtk+-3.2:3 )
148     gstreamer? (
149     media-libs/gstreamer:1.0
150     media-libs/gst-plugins-base:1.0
151     )
152     jemalloc? ( dev-libs/jemalloc )
153     libreoffice_extensions_scripting-beanshell? ( >=dev-java/bsh-2.0_beta4 )
154     libreoffice_extensions_scripting-javascript? ( dev-java/rhino:1.6 )
155     libreoffice_extensions_wiki-publisher? (
156     dev-java/commons-codec:0
157     dev-java/commons-httpclient:3
158     dev-java/commons-lang:2.1
159     dev-java/commons-logging:0
160     dev-java/tomcat-servlet-api:3.0
161     )
162     mysql? ( >=dev-db/mysql-connector-c++-1.1.0 )
163     opengl? (
164     virtual/glu
165     virtual/opengl
166     )
167     postgres? ( >=dev-db/postgresql-base-9.0[kerberos] )
168     telepathy? (
169     dev-libs/glib:2
170     >=net-libs/telepathy-glib-0.18.0
171     >=x11-libs/gtk+-2.24:2
172     )
173     webdav? ( net-libs/neon )
174     "
175    
176     RDEPEND="${COMMON_DEPEND}
177     !app-office/libreoffice-bin
178     !app-office/libreoffice-bin-debug
179     !<app-office/openoffice-bin-3.4.0-r1
180     !app-office/openoffice
181     media-fonts/libertine-ttf
182     media-fonts/liberation-fonts
183     media-fonts/urw-fonts
184     java? ( >=virtual/jre-1.6 )
185     "
186    
187     if [[ ${PV} != *9999* ]]; then
188     PDEPEND="~app-office/libreoffice-l10n-${PV}"
189     else
190     # Translations are not reliable on live ebuilds
191     # rather force people to use english only.
192     PDEPEND="!app-office/libreoffice-l10n"
193     fi
194    
195     # FIXME: cppunit should be moved to test conditional
196     # after everything upstream is under gbuild
197     # as dmake execute tests right away
198     DEPEND="${COMMON_DEPEND}
199     >=dev-libs/libxml2-2.7.8
200     dev-libs/libxslt
201     dev-perl/Archive-Zip
202     dev-util/cppunit
203     >=dev-util/gperf-3
204     dev-util/intltool
205     =dev-util/mdds-0.8*:=
206     virtual/pkgconfig
207     net-misc/npapi-sdk
208     >=sys-apps/findutils-4.4.2
209     sys-devel/bison
210     sys-apps/coreutils
211     sys-devel/flex
212     sys-devel/gettext
213     >=sys-devel/make-3.82
214     sys-devel/ucpp
215     sys-libs/zlib
216     x11-libs/libXt
217     x11-libs/libXtst
218     x11-proto/randrproto
219     x11-proto/xextproto
220     x11-proto/xineramaproto
221     x11-proto/xproto
222     java? (
223     >=virtual/jdk-1.6
224     >=dev-java/ant-core-1.7
225     )
226     odk? ( app-doc/doxygen )
227     test? ( dev-util/cppunit )
228     "
229    
230     PATCHES=(
231     # not upstreamable stuff
232     "${FILESDIR}/${PN}-3.7-system-pyuno.patch"
233     )
234    
235     REQUIRED_USE="
236     ${PYTHON_REQUIRED_USE}
237     bluetooth? ( dbus )
238     gnome? ( gtk )
239     eds? ( gnome )
240     telepathy? ( gtk )
241     libreoffice_extensions_nlpsolver? ( java )
242     libreoffice_extensions_scripting-beanshell? ( java )
243     libreoffice_extensions_scripting-javascript? ( java )
244     libreoffice_extensions_wiki-publisher? ( java )
245     "
246    
247     CHECKREQS_MEMORY="512M"
248     CHECKREQS_DISK_BUILD="6G"
249    
250     pkg_pretend() {
251     local pgslot
252    
253     if [[ ${MERGE_TYPE} != binary ]]; then
254     check-reqs_pkg_pretend
255    
256     if [[ $(gcc-major-version) -lt 4 ]] || \
257     ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -lt 6 ]] ) \
258     ; then
259     eerror "Compilation with gcc older than 4.6 is not supported"
260     die "Too old gcc found."
261     fi
262     fi
263    
264     # ensure pg version
265     if use postgres && has_version dev-db/postgresql-base; then
266     pgslot=$(postgresql-config show)
267     if [[ ${pgslot//.} < 90 ]] ; then
268     eerror "PostgreSQL slot must be set to 9.0 or higher."
269     eerror " postgresql-config set 9.0"
270     die "PostgreSQL slot is not set to 9.0 or higher."
271     fi
272     fi
273     }
274    
275     pkg_setup() {
276     java-pkg-opt-2_pkg_setup
277     kde4-base_pkg_setup
278     python-single-r1_pkg_setup
279    
280     [[ ${MERGE_TYPE} != binary ]] && check-reqs_pkg_setup
281     }
282    
283     src_unpack() {
284     local mod mod2 dest tmplfile tmplname mypv
285    
286     [[ -n ${PATCHSET} ]] && unpack ${PATCHSET}
287     use branding && unpack "${BRANDING}"
288    
289     if [[ ${PV} != *9999* ]]; then
290     unpack "${P}.tar.xz"
291     for mod in ${MODULES}; do
292     [[ ${mod} == core ]] && continue
293     unpack "${PN}-${mod}-${PV}.tar.xz"
294     done
295     else
296     for mod in ${MODULES}; do
297     mypv=${PV/.9999}
298     [[ ${mypv} != ${PV} ]] && EGIT_BRANCH="${PN}-${mypv/./-}"
299     EGIT_PROJECT="${PN}/${mod}"
300     EGIT_SOURCEDIR="${WORKDIR}/${P}"
301     [[ ${mod} != core ]] && EGIT_SOURCEDIR="${WORKDIR}/${PN}-${mod}-${PV}"
302     EGIT_REPO_URI="git://anongit.freedesktop.org/${PN}/${mod}"
303     EGIT_NOUNPACK="true"
304     git-2_src_unpack
305     if [[ ${mod} != core ]]; then
306     mod2=${mod}
307     # mapping does not match on help
308     [[ ${mod} == help ]] && mod2="helpcontent2"
309     mkdir -p "${S}/${mod2}/" || die
310     mv -n "${WORKDIR}/${PN}-${mod}-${PV}"/* "${S}/${mod2}" || die
311     rm -rf "${WORKDIR}/${PN}-${mod}-${PV}"
312     fi
313     done
314     unset EGIT_PROJECT EGIT_SOURCEDIR EGIT_REPO_URI EGIT_BRANCH
315     fi
316     }
317    
318     src_prepare() {
319     # optimization flags
320     export GMAKE_OPTIONS="${MAKEOPTS}"
321     # System python 2.7 enablement:
322     export PYTHON_CFLAGS=$(python_get_CFLAGS)
323     export PYTHON_LIBS=$(python_get_LIBS)
324    
325     # patchset
326     if [[ -n ${PATCHSET} ]]; then
327     EPATCH_FORCE="yes" \
328     EPATCH_SOURCE="${WORKDIR}/${PATCHSET/.tar.xz/}" \
329     EPATCH_SUFFIX="patch" \
330     epatch
331     fi
332    
333     base_src_prepare
334    
335     AT_M4DIR="m4" eautoreconf
336     # hack in the autogen.sh
337     touch autogen.lastrun
338    
339     # system pyuno mess
340     sed \
341     -e "s:%eprefix%:${EPREFIX}:g" \
342     -e "s:%libdir%:$(get_libdir):g" \
343     -i pyuno/source/module/uno.py \
344     -i scripting/source/pyprov/officehelper.py || die
345     # sed in the tests
346     sed -i \
347     -e 's#all : build unitcheck#all : build#g' \
348     solenv/gbuild/Module.mk || die
349     sed -i \
350     -e 's#check: dev-install subsequentcheck#check: unitcheck slowcheck dev-install subsequentcheck#g' \
351     -e 's#Makefile.gbuild all slowcheck#Makefile.gbuild all#g' \
352     Makefile.in || die
353    
354     if use branding; then
355     # hack...
356     mv -v "${WORKDIR}/branding-intro.png" "${S}/icon-themes/galaxy/brand/intro.png" || die
357     fi
358     }
359    
360     src_configure() {
361     local java_opts
362     local internal_libs
363     local lo_ext
364     local ext_opts
365     local jbs=$(sed -ne 's/.*\(-j[[:space:]]*\|--jobs=\)\([[:digit:]]\+\).*/\2/;T;p' <<< "${MAKEOPTS}")
366    
367     # recheck that there is some value in jobs
368     [[ -z ${jbs} ]] && jbs="1"
369    
370     # sane: just sane.h header that is used for scan in writer, not
371     # linked or anything else, worthless to depend on
372     # vigra: just uses templates from there
373     # it is serious pain in the ass for packaging
374     # should be replaced by boost::gil if someone interested
375     internal_libs+="
376     --without-system-sane
377     --without-system-vigra
378     "
379    
380     # libreoffice extensions handling
381     for lo_xt in ${LO_EXTS}; do
382     if [[ "${lo_xt}" == "scripting-beanshell" || "${lo_xt}" == "scripting-javascript" ]]; then
383     ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ${lo_xt})"
384     else
385     ext_opts+=" $(use_enable libreoffice_extensions_${lo_xt} ext-${lo_xt})"
386     fi
387     done
388    
389     if use java; then
390     # hsqldb: system one is too new
391     java_opts="
392     --without-junit
393     --without-system-hsqldb
394     --with-ant-home="${ANT_HOME}"
395     --with-jdk-home=$(java-config --jdk-home 2>/dev/null)
396     --with-jvm-path="${EPREFIX}/usr/$(get_libdir)/"
397     "
398    
399     use libreoffice_extensions_scripting-beanshell && \
400     java_opts+=" --with-beanshell-jar=$(java-pkg_getjar bsh bsh.jar)"
401    
402     use libreoffice_extensions_scripting-javascript && \
403     java_opts+=" --with-rhino-jar=$(java-pkg_getjar rhino-1.6 js.jar)"
404    
405     if use libreoffice_extensions_wiki-publisher; then
406     java_opts+="
407     --with-commons-codec-jar=$(java-pkg_getjar commons-codec commons-codec.jar)
408     --with-commons-httpclient-jar=$(java-pkg_getjar commons-httpclient-3 commons-httpclient.jar)
409     --with-commons-lang-jar=$(java-pkg_getjar commons-lang-2.1 commons-lang.jar)
410     --with-commons-logging-jar=$(java-pkg_getjar commons-logging commons-logging.jar)
411     --with-servlet-api-jar=$(java-pkg_getjar tomcat-servlet-api-3.0 servlet-api.jar)
412     "
413     fi
414     fi
415    
416     # system headers/libs/...: enforce using system packages
417     # --enable-cairo: ensure that cairo is always required
418     # --enable-graphite: disabling causes build breakages
419     # --enable-*-link: link to the library rather than just dlopen on runtime
420     # --enable-release-build: build the libreoffice as release
421     # --disable-fetch-external: prevent dowloading during compile phase
422     # --disable-gnome-vfs: old gnome virtual fs support
423     # --disable-kdeab: kde3 adressbook
424     # --disable-kde: kde3 support
425     # --disable-rpath: relative runtime path is not desired
426     # --disable-systray: quickstarter does not actually work at all so do not
427     # promote it
428     # --enable-extension-integration: enable any extension integration support
429     # --without-{afms,fonts,myspell-dicts,ppsd}: prevent install of sys pkgs
430     # --disable-report-builder: too much java packages pulled in without pkgs
431     econf \
432     --docdir="${EPREFIX}/usr/share/doc/${PF}/" \
433     --with-system-headers \
434     --with-system-libs \
435     --with-system-jars \
436     --with-system-dicts \
437     --enable-cairo-canvas \
438     --enable-graphite \
439     --enable-largefile \
440     --enable-mergelibs \
441     --enable-python=system \
442     --enable-randr \
443     --enable-randr-link \
444     --enable-release-build \
445     --enable-hardlink-deliver \
446     --disable-ccache \
447     --disable-crashdump \
448     --disable-dependency-tracking \
449     --disable-epm \
450     --disable-fetch-external \
451     --disable-gnome-vfs \
452     --disable-gstreamer-0-10 \
453     --disable-report-builder \
454     --disable-kdeab \
455     --disable-kde \
456     --disable-online-update \
457     --disable-rpath \
458     --disable-systray \
459     --with-alloc=$(use jemalloc && echo "jemalloc" || echo "system") \
460     --with-build-version="Gentoo official package" \
461     --enable-extension-integration \
462     --with-external-dict-dir="${EPREFIX}/usr/share/myspell" \
463     --with-external-hyph-dir="${EPREFIX}/usr/share/myspell" \
464     --with-external-thes-dir="${EPREFIX}/usr/share/myspell" \
465     --with-external-tar="${DISTDIR}" \
466     --with-lang="" \
467     --with-parallelism=${jbs} \
468     --with-system-ucpp \
469     --with-vendor="Gentoo Foundation" \
470     --with-x \
471     --without-afms \
472     --without-fonts \
473     --without-myspell-dicts \
474     --without-help \
475     --with-helppack-integration \
476     --without-sun-templates \
477     $(use_enable bluetooth sdremote-bluetooth) \
478     $(use_enable cups) \
479     $(use_enable debug) \
480     $(use_enable dbus) \
481     $(use_enable eds evolution2) \
482     $(use_enable gnome gconf) \
483     $(use_enable gnome gio) \
484     $(use_enable gnome lockdown) \
485     $(use_enable gstreamer) \
486     $(use_enable gtk) \
487     $(use_enable gtk3) \
488     $(use_enable kde kde4) \
489     $(use_enable mysql ext-mariadb-connector) \
490     $(use_enable odk) \
491     $(use_enable opengl) \
492     $(use_enable postgres postgresql-sdbc) \
493     $(use_enable telepathy) \
494     $(use_enable test linkoo) \
495     $(use_enable vba) \
496     $(use_enable webdav neon) \
497     $(use_with java) \
498     $(use_with mysql system-mysql-cppconn) \
499     $(use_with odk doxygen) \
500     ${internal_libs} \
501     ${java_opts} \
502     ${ext_opts}
503     }
504    
505     src_compile() {
506     # hack for offlinehelp, this needs fixing upstream at some point
507     # it is broken because we send --without-help
508     # https://bugs.freedesktop.org/show_bug.cgi?id=46506
509     (
510     grep "^export" "${S}/config_host.mk" > "${T}/config_host.mk"
511     source "${T}/config_host.mk" 2&> /dev/null
512    
513     local path="${SOLARVER}/${INPATH}/res/img"
514     mkdir -p "${path}" || die
515    
516     echo "perl \"${S}/helpcontent2/helpers/create_ilst.pl\" -dir=icon-themes/galaxy/res/helpimg > \"${path}/helpimg.ilst\""
517     perl "${S}/helpcontent2/helpers/create_ilst.pl" \
518     -dir=icon-themes/galaxy/res/helpimg \
519     > "${path}/helpimg.ilst"
520     [[ -s "${path}/helpimg.ilst" ]] || ewarn "The help images list is empty, something is fishy, report a bug."
521     )
522    
523     local target
524     use test && target="build" || target="build-nocheck"
525    
526     # this is not a proper make script
527     make ${target} || die
528     }
529    
530     src_test() {
531     make unitcheck || die
532     make slowcheck || die
533     }
534    
535     src_install() {
536     # This is not Makefile so no buildserver
537     make DESTDIR="${D}" distro-pack-install -o build -o check || die
538    
539     # Fix bash completion placement
540     newbashcomp "${ED}"/etc/bash_completion.d/libreoffice.sh ${PN}
541     rm -rf "${ED}"/etc/
542    
543     if use branding; then
544     insinto /usr/$(get_libdir)/${PN}/program
545     newins "${WORKDIR}/branding-sofficerc" sofficerc
546     fi
547    
548     # symlink the nsplugin to proper location
549     # use gtk && inst_plugin /usr/$(get_libdir)/libreoffice/program/libnpsoplugin.so
550    
551     # Hack for offlinehelp, this needs fixing upstream at some point.
552     # It is broken because we send --without-help
553     # https://bugs.freedesktop.org/show_bug.cgi?id=46506
554     insinto /usr/$(get_libdir)/libreoffice/help
555     doins xmlhelp/util/*.xsl
556    
557     # Remove desktop files for support to old installs that can't parse mime
558     rm -rf "${ED}"/usr/share/mimelnk/
559     }
560    
561     pkg_preinst() {
562     # Cache updates - all handled by kde eclass for all environments
563     kde4-base_pkg_preinst
564     }
565    
566     pkg_postinst() {
567     kde4-base_pkg_postinst
568    
569     pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/soffice.bin
570     pax-mark -m "${EPREFIX}"/usr/$(get_libdir)/libreoffice/program/unopkg.bin
571    
572     use java || \
573     ewarn 'If you plan to use lbase application you should enable java or you will get various crashes.'
574     }
575    
576     pkg_postrm() {
577     kde4-base_pkg_postrm
578     }

  ViewVC Help
Powered by ViewVC 1.1.20